# ReflectionFunctionAbstract::getNamespaceName

(PHP 5 >= 5.3.0, PHP 7)

ReflectionFunctionAbstract::getNamespaceName — Gets namespace name

### Description

public ReflectionFunctionAbstract::getNamespaceName ( void ) : string

Get the namespace name where the class is defined.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

The namespace name.

### See Also

- ReflectionFunctionAbstract::getFileName() - Gets file name
- namespaces